/****************************************************************************
 * Ce programme fait partie du projet Multiserveur.                         *
 * (C) Nicolas GEORGE, aot 1998.                                           *
 * Vous devriez trouver les termes de sa license pas trs loin.             *
 * Je dcline toute responsabilit quant  l'effet de ce programme.         *
 ****************************************************************************/

/***********************************************************
  Modifiez ici les valeurs de personnalisation du programme
 ***********************************************************/

/* Port par dfaut */
#define PORT 4000

/* Port maximal  utiliser (si dfaut impossible) */
#define MAXPORT 4010

/* Nombre de places */
#define MAXCLI 16

/* Taille maximale du nom d'utilisateur +1 */
#define MAXNOM 20

/* Taille des buffers d'change */

/* client->guichet*/
#define READ_BUF_SIZE 64

/* guichet->client */
#define WRITE_BUF_SIZE 2048

/* serveur->guichet */
#define INSTR_BUF_SIZE 1024

/* guichet->serveur */
#define KEY_BUF_SIZE 32

/* Fichiers de supervision */
#define LOGFILE "/dev/tty"
#define INPIPE "/home/cigaes/c/multiserver/.multiserver.in"
#define OUTPIPE "/home/cigaes/c/multiserver/.multiserver.out"
#define LOGFILEMODE S_IREAD
#define INPIPEMODE S_IWRITE|S_IREAD
#define OUTPIPEMODE S_IWRITE|S_IREAD

/* Taille maximale du type de terminal */
#define TTYPE_MAX 20

/* Type de terminal par dfaut */
#define DEFAULTTERM "vt100"

/* Phrase quand c'est complet */
#define PHRASE_COMPLET "\r\n\nJe suis dsol, mais le serveur est complet.\r\n\n\n"

/* Phrase d'extinction */
#define PHRASE_ETEINDRE "Arrt du serveur imminent."

/* Accueil par dfaut */
#define PHRASE_ACCUEIL "Cigaes n'est pas l."

/* Taille maximale du terminal (<=4096) */
#define LTERMMAX 256
#define HTERMMAX 128
