/****************************************************************************
 * Ce programme fait partie du projet Multiserveur.                         *
 * (C) Nicolas GEORGE, aot 1998.                                           *
 * Vous devriez trouver les termes de sa license pas trs loin.             *
 * Je dcline toute responsabilit quant  l'effet de ce programme.         *
 ****************************************************************************/

typedef struct {
  pid_t pid;
  unsigned char ins[INSTR_BUF_SIZE];
  short insh,inst,inss;
  short key[KEY_BUF_SIZE],keyh,keyt,keys;
} echange_client;

typedef struct {
  char nom[MAXNOM];
  int mod;
  short l,h;
  short wrpos;
} parametres_client;

extern echange_client *client;
extern parametres_client *clipriv;

extern char *ph_bienvenue;
void changer_module(int c,int m);
int creer_module(int nm);
void detruire_module(int n);

/* sortie.c */
void effacer(int c);
void attributs(int c,int a);
void position(int c,int x,int y);
void ecrire(int c,const char *s);
void sonner(int c);
void virer_client(int c);
void ecrire_max(int c,char *s,int l);
int bloquer(int c,int n);
void ecrire_deb(int c,int n);
void ecrire_fin(int c,int n);
void ecrire_n_fois(int c,char v,int n);
void message_discret(int c,char *m);
int trop_petit(int c,int l,int h,int *lr,int *hr);

#define ECRIRE(c,v) { client[c].ins[client[c].insh++]=v; \
                      client[c].insh%=INSTR_BUF_SIZE; }

/* supervis.h */
void initialiser_superviseur(void);
void lprintf(char *f,...);
void surveiller_commandes(void);
