/****************************************************************************
 * Ce programme fait partie du projet Multiserveur.                         *
 * (C) Nicolas GEORGE, aot 1998.                                           *
 * Vous devriez trouver les termes de sa license pas trs loin.             *
 * Je dcline toute responsabilit quant  l'effet de ce programme.         *
 ****************************************************************************/

/************************
  Un squelette de module
 ************************/

#include <malloc.h>
#include <unistd.h>
#include "config.h"
#include "module.h"
#include "events.h"
#include "multiserv.h"

#define C(c) ((module_template_info *)(c))

const module_class_info module_template_class;

typedef struct {
  module_info mod;
  /* le reste */
} module_template_info;

static module_info *module_template_new(void)
{
  module_template_info *r;

  r=malloc(sizeof(module_template_info));
  r->mod.timer=-1;
  r->mod.class=&module_template_class;
  /* le reste */
  return(&r->mod);
}

static void module_template_destroy(module_info *m)
{
  /* le reste */
  free(m);
}

static void module_template_event(module_info *m,int c,int e,void *p)
{
}

static void module_template_describe(module_info *m,int c,char *b)
{
  strcpy(b,"Module template");
}

const module_class_info module_template_class={
  0,1, /*  changer */
  300L,
  module_template_new,
  module_template_destroy,
  module_template_event,
  module_template_describe
};
